| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
ltp_session_data_t Struct Reference

A session is an LTP conversation. More...

## Public Attributes
wmem_itree_t * | data_segs
wmem_map_t * | rpt_segs
uint64_t * | red_size
uint64_t * | block_size
wmem_map_t * | checkpoints
wmem_map_t * | chkp_acks
wmem_map_t * | reports
wmem_map_t * | rpt_acks
wmem_map_t * | rpt_datas
wmem_map_t * | cancels
wmem_map_t * | cancel_acks

## Detailed Description

A session is an LTP conversation.

## Member Data Documentation

## ◆ block_size

uint64_t* ltp_session_data_t::block_size

Set after seeing EOB

## ◆ cancel_acks

wmem_map_t* ltp_session_data_t::cancel_acks

Map from cancel segment type (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ cancels

wmem_map_t* ltp_session_data_t::cancels

Map from cancel segment type (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ checkpoints

wmem_map_t* ltp_session_data_t::checkpoints

Map from checkpoint ID (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ chkp_acks

wmem_map_t* ltp_session_data_t::chkp_acks

Map from checkpoint ID (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ data_segs

wmem_itree_t* ltp_session_data_t::data_segs

Map from first-seen segment data ranges to data frame info (ltp_frame_info_t*)

## ◆ red_size

uint64_t* ltp_session_data_t::red_size

Set after seeing EORP

## ◆ reports

wmem_map_t* ltp_session_data_t::reports

Map from report ID (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ rpt_acks

wmem_map_t* ltp_session_data_t::rpt_acks

Map from report ID (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ rpt_datas

wmem_map_t* ltp_session_data_t::rpt_datas

Map from report ID (uint64_t) to wmem_list_t of frame info (ltp_frame_info_t*)

## ◆ rpt_segs

wmem_map_t* ltp_session_data_t::rpt_segs

Map from report ID (uint64_t) to tree (wmem_itree_t*) of first-seen segment data ranges to data frame info (ltp_frame_info_t*)

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/dissectors/packet-ltp.c